# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/test
# Build directory: /Users/h/sdk-folder/sdk-build/MediaPlayer/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(ErrorTypeConversionTest.ErrorTypeToString "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/ErrorTypeConversionTest" "--gtest_filter=ErrorTypeConversionTest.ErrorTypeToString" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(ErrorTypeConversionTest.GstCoreErrorToErrorType "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/ErrorTypeConversionTest" "--gtest_filter=ErrorTypeConversionTest.GstCoreErrorToErrorType" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(ErrorTypeConversionTest.GstLibraryErrorToErrorType "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/ErrorTypeConversionTest" "--gtest_filter=ErrorTypeConversionTest.GstLibraryErrorToErrorType" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(ErrorTypeConversionTest.GstResourceErrorToErrorType "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/ErrorTypeConversionTest" "--gtest_filter=ErrorTypeConversionTest.GstResourceErrorToErrorType" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(ErrorTypeConversionTest.GstStreamErrorToErrorType "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/ErrorTypeConversionTest" "--gtest_filter=ErrorTypeConversionTest.GstStreamErrorToErrorType" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStartPlayWaitForEnd "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStartPlayWaitForEnd" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStartPlayForUrl "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStartPlayForUrl" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testConsecutiveSetSource "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testConsecutiveSetSource" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStartPlayWaitForEndStartPlayAgain "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStartPlayWaitForEndStartPlayAgain" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStopPlay "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStopPlay" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStartPlayCallAfterStopPlay "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStartPlayCallAfterStopPlay" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStartPlayCallAfterStopPlayDifferentSource "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStartPlayCallAfterStopPlayDifferentSource" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testPauseDuringPlay "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testPauseDuringPlay" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testResumeAfterPauseThenStop "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testResumeAfterPauseThenStop" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStopAfterPause "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStopAfterPause" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testPauseAfterPause "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testPauseAfterPause" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testResumeAfterPlay "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testResumeAfterPlay" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testGetOffsetInMilliseconds "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testGetOffsetInMilliseconds" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testGetOffsetInMillisecondsNullPipeline "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testGetOffsetInMillisecondsNullPipeline" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testGetOffsetWhenStoppedFails "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testGetOffsetWhenStoppedFails" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testGetOffsetWhenPaused "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testGetOffsetWhenPaused" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testPlayingTwoAttachments "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testPlayingTwoAttachments" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testUnsteadyReads "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testUnsteadyReads" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testRecoveryFromPausedReads "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testRecoveryFromPausedReads" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testStartPlayWithUrlPlaylistWaitForEnd "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testStartPlayWithUrlPlaylistWaitForEnd" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testSetOffsetSeekableSource "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testSetOffsetSeekableSource" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testSetOffsetOutsideBounds "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_also_run_disabled_tests" "--gtest_filter=MediaPlayerTest.DISABLED_testSetOffsetOutsideBounds" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
set_tests_properties(MediaPlayerTest.testSetOffsetOutsideBounds PROPERTIES  DISABLED "TRUE")
add_test(MediaPlayerTest.testSetSourceResetsOffset "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_also_run_disabled_tests" "--gtest_filter=MediaPlayerTest.DISABLED_testSetSourceResetsOffset" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
set_tests_properties(MediaPlayerTest.testSetSourceResetsOffset PROPERTIES  DISABLED "TRUE")
add_test(MediaPlayerTest.testRepeatAttachment "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testRepeatAttachment" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testSetVolumePlays "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testSetVolumePlays" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testAdjustVolumePlaysDuringPlay "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testAdjustVolumePlaysDuringPlay" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testAdjustVolumePlays "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testAdjustVolumePlays" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testAdjustVolumeOutOfBounds "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testAdjustVolumeOutOfBounds" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testSetMutePlays "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testSetMutePlays" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testGetSpeakerSettings "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testGetSpeakerSettings" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testRoundingEdgeCase "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testRoundingEdgeCase" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testReadTags "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testReadTags" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testConsecutiveSameApiCalls "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testConsecutiveSameApiCalls" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.testImmediatePause "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.testImmediatePause" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.multiplePlayAndSetSource "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.multiplePlayAndSetSource" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.invalidSourceId "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.invalidSourceId" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.doublePause "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.doublePause" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.resumeWhenPlaying "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.resumeWhenPlaying" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.resumeWhenStopped "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.resumeWhenStopped" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.newSetSourceLeadsToStoppedCallback "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.newSetSourceLeadsToStoppedCallback" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(MediaPlayerTest.resumeAfterPauseWithPendingPlay "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/MediaPlayerTest" "--gtest_filter=MediaPlayerTest.resumeAfterPauseWithPendingPlay" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeNullResult "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeNullResult" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testCreateSourceMinGreaterThanMax "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testCreateSourceMinGreaterThanMax" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testCreateSourceMinEqualToMax "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testCreateSourceMinEqualToMax" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testCreateNormalizeMinGreaterThanMax "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testCreateNormalizeMinGreaterThanMax" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeNormalizedMinEqualToMax "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeNormalizedMinEqualToMax" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeInputOutsideSourceBounds "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeInputOutsideSourceBounds" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeSameScale "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeSameScale" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeScaleDown "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeScaleDown" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeScaleUp "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeScaleUp" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeNegativeRange "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeNegativeRange" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNormalizeDifferentMinimums "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNormalizeDifferentMinimums" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
add_test(NormalizerTest.testNonInteger "/Users/h/sdk-folder/sdk-build/MediaPlayer/test/NormalizerTest" "--gtest_filter=NormalizerTest.testNonInteger" "/Users/h/sdk-folder/sdk-source/avs-device-sdk/MediaPlayer/inputs")
